#
# spec file for package python-Werkzeug-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-Werkzeug-doc
Version:        0.12.2
Release:        35.1
Url:            http://werkzeug.pocoo.org/
Summary:        Documentation for python-Werkzeug
License:        BSD-3-Clause
Group:          Documentation/Other
Source:         https://files.pythonhosted.org/packages/source/W/Werkzeug/Werkzeug-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-Sphinx
BuildRequires:  python3-Werkzeug = %{version}
BuildRequires:  python3-setuptools
BuildArch:      noarch
Provides:       %{python_module Werkzeug-doc = %{version}}

%description
Documentation and examples for python-Werkzeug

%prep
%setup -q -n Werkzeug-%{version}
sed -i "s/\r//" LICENSE # Fix wrong EOL-encoding
sed -i "1d" examples/manage-{i18nurls,simplewiki,shorty,couchy,cupoftee,webpylike,plnt,coolmagic}.py # Fix non-executable scripts

%build
# Not needed

%install
cd docs && make html && rm -rf _build/html/.buildinfo # Build HTML Documentation

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE
%doc docs/_build/html
%doc examples

%changelog
* Tue Aug  8 2017 tbechtold@suse.com
- update to 0.12.2:
  - Fix regression: Pull request ``#892`` prevented Werkzeug from correctly
    logging the IP of a remote client behind a reverse proxy, even when using
    `ProxyFix`.
  - Fix a bug in `safe_join` on Windows.
* Tue Apr  4 2017 jmatejek@suse.com
- update to 0.12.1
- use python3-Sphinx for build
* Thu Sep 15 2016 toddrme2178@gmail.com
- update to version 0.11.11:
  * Fix JSONRequestMixin for Python3. See #731
  * Fix broken string handling in test client when passing
    integers. See #852
  * Fix a bug in "parse_options_header" where an invalid content type
    starting with comma or semi-colon would result in an invalid
    return value, see issue "#995".
  * Fix a bug in multidicts when passing empty lists as values, see
    issue "#979".
  * Fix a security issue that allows XSS on the Werkzeug debugger. See
    "#1001".
- update to version 0.11.10:
  * Fixed a bug that occurs when running on Python 2.6 and using a
    broken locale.  See pull request #912.
  * Fixed a crash when running the debugger on Google App Engine. See
    issue #925.
  * Fixed an issue with multipart parsing that could cause memory
    exhaustion.
- Update to 0.11.9
  - Corrected an issue that caused the debugger not to use the
    machine GUID on POSIX systems.
  - Corrected an Unicode error on Python 3 for the debugger's
    PIN usage.
  - Corrected the timestamp verification in the pin debug code.
    Without this fix the pin was remebered until too long.
- update to version 0.11.8:
  * fixed a problem with the machine GUID detection code on OS X on
    Python 3.
- changes from version 0.11.7:
  * fixed a regression on Python 3 for the debugger.
- changes from version 0.11.6:
  * werkzeug.serving: Still show the client address on bad requests.
  * improved the PIN based protection for the debugger to make it
    harder to brute force via trying cookies.  Please keep in mind
    that the debugger *is not intended for running on production
    environments*
  * increased the pin timeout to a week to make it less annoying for
    people which should decrease the change that users disable the pin
    check entirely.
  * werkzeug.serving: Fix broken HTTP_HOST when path starts with
    double slash.
- update to version 0.11.5:
  * werkzeug.serving: Fix crash when attempting SSL connection to HTTP
    server.
- update to version 0.11.4:
  * Fixed werkzeug.serving not working from -m flag.
  * Fixed incorrect weak etag handling.
- Rebase 0001_create_a_thread_to_reap_death_process.patch
- Split documentation into own subpackage to speed up build.
